## ros-dashing-rosbag2-transport 0.1.8

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rosbag2_transport)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic -Werror)
endif()

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(rcl REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcutils REQUIRED)
find_package(rosbag2 REQUIRED)
find_package(rmw REQUIRED)
find_package(shared_queues_vendor REQUIRED)

add_library(${PROJECT_NAME} SHARED
  src/rosbag2_transport/player.cpp
  src/rosbag2_transport/formatter.cpp
  src/rosbag2_transport/generic_publisher.cpp
  src/rosbag2_transport/generic_subscription.cpp
  src/rosbag2_transport/recorder.cpp
  src/rosbag2_transport/rosbag2_node.cpp
  src/rosbag2_transport/rosbag2_transport.cpp)
target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>)

ament_target_dependencies(${PROJECT_NAME}
  rcl
  rclcpp
  rcutils
  rosbag2
  rosidl_generator_cpp
  rmw
  shared_queues_vendor
)

include(cmake/configure_python.cmake)
ament_python_install_package(${PROJECT_NAME})
add_library(rosbag2_transport_py
  SHARED
  src/rosbag2_transport/rosbag2_transport_python.cpp)
configure_python_c_extension_library(rosbag2_transport_py)
target_link_libraries(rosbag2_transport_py rosbag2_transport)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "ROSBAG2_TRANSPORT_BUILDING_LIBRARY")

install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS ${PROJECT_NAME}
  EXPORT export_${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_include_directories(include)
ament_export_interfaces(export_${PROJECT_NAME})
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(rosbag2)

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  find_package(ament_index_cpp REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(test_msgs REQUIRED)
  find_package(rosbag2_test_common REQUIRED)
  # explicitly disable cppcheck
  set(ament_cmake_cppcheck_FOUND TRUE)
  ament_lint_auto_find_test_dependencies()

  ament_add_gmock(test_info
    test/rosbag2_transport/test_info.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_info)
    target_link_libraries(test_info rosbag2_transport)
    ament_target_dependencies(test_info rosbag2_test_common)
  endif()

  ament_add_gmock(test_record_all
    test/rosbag2_transport/test_record_all.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_record_all)
    target_link_libraries(test_record_all rosbag2_transport)
    ament_target_dependencies(test_record_all test_msgs rosbag2_test_common)
  endif()

  ament_add_gmock(test_record_all_no_discovery
    test/rosbag2_transport/test_record_all_no_discovery.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_record_all_no_discovery)
    target_link_libraries(test_record_all_no_discovery rosbag2_transport)
    ament_target_dependencies(test_record_all_no_discovery test_msgs rosbag2_test_common)
  endif()

  ament_add_gmock(test_play_timing
    test/rosbag2_transport/test_play_timing.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_play_timing)
    target_link_libraries(test_play_timing rosbag2_transport)
    ament_target_dependencies(test_play_timing test_msgs rosbag2_test_common)
  endif()

  ament_add_gmock(test_rosbag2_node
    test/rosbag2_transport/test_rosbag2_node.cpp
    src/rosbag2_transport/generic_publisher.cpp
    src/rosbag2_transport/generic_subscription.cpp
    src/rosbag2_transport/rosbag2_node.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_rosbag2_node)
    target_include_directories(test_rosbag2_node
      PUBLIC
      $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
      $<INSTALL_INTERFACE:include>)
    ament_target_dependencies(test_rosbag2_node
      ament_index_cpp
      rosbag2
      rclcpp
      test_msgs
      rosbag2_test_common)
  endif()

  ament_add_gmock(test_formatter
    test/rosbag2_transport/test_formatter.cpp
    src/rosbag2_transport/formatter.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR})
  if(TARGET test_formatter)
    target_link_libraries(test_formatter rosbag2_transport)
  endif()

  # disable the following tests for connext
  # due to slower discovery of nodes
  get_default_rmw_implementation(rmw_default)
  set(SKIP_TEST "")
  if(${rmw_default} MATCHES "(.*)connext(.*)")
    set(SKIP_TEST "SKIP_TEST")
  endif()

  ament_add_gmock(test_record
    test/rosbag2_transport/test_record.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    ${SKIP_TEST})
  if(TARGET test_record)
    target_link_libraries(test_record rosbag2_transport)
    ament_target_dependencies(test_record test_msgs rosbag2_test_common)
  endif()

  ament_add_gmock(test_play
    test/rosbag2_transport/test_play.cpp
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    ${SKIP_TEST})
  if(TARGET test_play)
    target_link_libraries(test_play rosbag2_transport)
    ament_target_dependencies(test_play test_msgs rosbag2_test_common)
  endif()

endif()

ament_package()

=== debian/changelog ===
ros-dashing-rosbag2-transport (0.1.8-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 16 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.7-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Mon, 14 Oct 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.6-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Fri, 20 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.5-1bionic) bionic; urgency=high

  * disable some tests for connext (#145 <https://github.com/ros2/rosbag2/issues/145>) (#151 <https://github.com/ros2/rosbag2/issues/151>)
    Signed-off-by: Karsten Knese <mailto:karsten@openrobotics.org>
  * disable plugins/tests which need rmw_fastrtps_cpp if unavailable (#137 <https://github.com/ros2/rosbag2/issues/137>) (#148 <https://github.com/ros2/rosbag2/issues/148>)
    Signed-off-by: ivanpauno <mailto:ivanpauno@ekumenlabs.com>
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 09 Sep 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.4-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.3-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Jun 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.2-1bionic) bionic; urgency=high

  * Fixes an init race condition (#93 <https://github.com/ros2/rosbag2/issues/93>)
    * This could probably be a race condition, for ex: When we've create a subscriber in the API, and the subscriber has the data already available in the callback (Cause of existing publishers) the db entry for the particular topic would not be availalble, which in turn returns an SqliteException. This is cause write_->create_topic() call is where we add the db entry for a particular topic. And, this leads to crashing before any recording.
    Locally I solved it by adding the db entry first, and if
    create_subscription fails, remove the topic entry from the db and also
    erase the subscription.
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix comments for pull request https://github.com/ros2/rosbag2/pull/93
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Added unit test case for remove_topics from db
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fix unit tests failing by adding dependent test macros
    Signed-off-by: Sriram Raghunathan <mailto:rsriram7@visteon.com>
    * Fixes the linter errors
  * Update troubleshooting reference to index.ros.org (#120 <https://github.com/ros2/rosbag2/issues/120>)
    Signed-off-by: Michael Carroll <mailto:michael@openrobotics.org>
  * Contributors: Michael Carroll, Sriram Raghunathan

 -- Karsten Knese <karsten@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.1-1bionic) bionic; urgency=high

  * fix condition to only apply pragma for GCC 8+ (#117 <https://github.com/ros2/rosbag2/issues/117>)
  * Contributors: Dirk Thomas

 -- Karsten Knese <karsten@openrobotics.org>  Thu, 09 May 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.1.0-1bionic) bionic; urgency=high

  * ignore cast function type warning (#116 <https://github.com/ros2/rosbag2/issues/116>)
  * changes to avoid deprecated API's (#115 <https://github.com/ros2/rosbag2/issues/115>)
  * Handle message type name with multiple namespace parts (#114 <https://github.com/ros2/rosbag2/issues/114>)
  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * fix logging signature (#107 <https://github.com/ros2/rosbag2/issues/107>)
  * use fastrtps static instead of dynamic (#104 <https://github.com/ros2/rosbag2/issues/104>)
  * enforce unique node names (#86 <https://github.com/ros2/rosbag2/issues/86>)
  * disable cppcheck (#91 <https://github.com/ros2/rosbag2/issues/91>)
  * Consistent node naming across ros2cli tools (#60 <https://github.com/ros2/rosbag2/issues/60>)
  * Contributors: AAlon, Dirk Thomas, Jacob Perron, Karsten Knese, William Woodall

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-rosbag2-transport (0.0.5-1bionic) bionic; urgency=high



 -- Karsten Knese <karsten@openrobotics.org>  Thu, 27 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-transport (0.0.4-1bionic) bionic; urgency=high

  * Improve queue usage (#75 <https://github.com/bsinno/rosbag2/issues/75>)
  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Release fixups (#72 <https://github.com/bsinno/rosbag2/issues/72>)
  * Contributors: Andreas Holzner, Karsten Knese, Martin Idel

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 19 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-transport (0.0.2-1bionic) bionic; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten@openrobotics.org>  Wed, 12 Dec 2018 08:00:00 -0000

ros-dashing-rosbag2-transport (0.0.1-1bionic) bionic; urgency=high

  * Auto discovery of new topics (#63 <https://github.com/ros2/rosbag2/issues/63>)
  * Fix master build and small renamings (#67 <https://github.com/ros2/rosbag2/issues/67>)
  * rename topic_with_types to topic_metadata
  * use converter options
  * iterate_over_formatter
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * use uint8 for serialized message (#61 <https://github.com/ros2/rosbag2/issues/61>)
  * Renaming struct members for consistency (#64 <https://github.com/ros2/rosbag2/issues/64>)
  * Use converters when playing back files (#56 <https://github.com/ros2/rosbag2/issues/56>)
  * Implement converter plugin for CDR format and add converter plugins package (#48 <https://github.com/ros2/rosbag2/issues/48>)


=== debian/control ===
Source: ros-dashing-rosbag2-transport
Section: misc
Priority: extra
Maintainer: Karsten Knese <karsten@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake-gmock, ros-dashing-ament-cmake-ros, ros-dashing-ament-index-cpp, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-rmw, ros-dashing-rosbag2, ros-dashing-rosbag2-test-common, ros-dashing-shared-queues-vendor, ros-dashing-test-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-rosbag2-transport
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rclcpp, ros-dashing-rmw, ros-dashing-rosbag2, ros-dashing-shared-queues-vendor, ros-dashing-ros-workspace
Description: Layer encapsulating ROS middleware to allow rosbag2 to be used with or without middleware

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-rosbag2-transport//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
